USERDEL(8)

NAME
userdel - Delete a user account and related files

SYNOPSIS

userdel [-f] [-r] login_name

DESCRIPTION

The userdel command modifies the system account files, deleting all entries that refer to login_name. The named user must exist.

OPTIONS

The options which apply to the userdel command are:

-f  This option forces the removal of the user, even if she is still logged in. It also forces userdel to remove the user's home directory or her mail spool, even if another user uses the same home directory or if the mail spool is not owned by the specified user. If USERGROUPS_ENAB is defined to yes in /etc/login.defs and if a group exists with the same name as the deleted user, then this group will be removed, even if it is still the primary group of another user.

    Note: This option is dangerous and may let your system in an inconsistent state.

-r  Files in the user's home directory will be removed along with the home directory itself and the user's mail spool. Files located in other file systems will have to be searched for and deleted manually.

    The mail spool is defined by the MAIL_DIR variable in the login.defs file.

FILES

/etc/group
    group account information

/etc/login.defs
    shadow password suite configuration

/etc/passwd
    user account information

/etc/shadow
    secure user account information

EXIT VALUES

The userdel command exits with the following values:

0   success

1   can't update password file

2   invalid command syntax

6   specified user doesn't exist

8   user currently logged in

10  can't update group file

12  can't remove home directory

CAVEATS

userdel will not allow you to remove an account if the user is currently logged in. You must kill any running processes which belong to an account that you are deleting.

You may not remove any NIS attributes on a NIS client. This must be performed on the NIS server.

If USERGROUPS_ENAB is defined to yes in /etc/login.defs, userdel will delete the group with the same name as the user. To avoid inconsistencies in the passwd and group databases, userdel will check that this group is not used as a primary group for another user, and will just warn without deleting the user otherwise. The -f option can force the deletion of this group.

SEE ALSO

chfn(1), chsh(1), passwd(1), login.defs(5), gpasswd(8), groupadd(8), groupdel(8), groupmod(8), useradd(8), usermod(8).